Bug 606759 - Review Request: nvi - 4.4BSD re-implementation of vi
Review Request: nvi - 4.4BSD re-implementation of vi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 08:33 EDT by Matěj Cepl
Modified: 2010-07-13 03:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: nvi-1.81.6-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:53:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-06-22 08:33:58 EDT
Spec URL: http://mcepl.fedorapeople.org/rpms/nvi.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/nvi-1.81.6-1.el6.src.rpm
Description:
Vi is the original screen based text editor for Unix systems.
It is considered the standard text editor, and is available on
almost all Unix systems.

Nvi is intended as a "bug-for-bug compatible" clone of the original
BSD vi editor. As such, it doesn't have a lot of snazzy features as do
some of the other vi clones such as elvis and vim. However, if all
you want is vi, this is the one to get.
Comment 1 Michel Alexandre Salim 2010-06-23 14:26:59 EDT
Reviewing this. Question: which nvi.spec is correct? The one you linked to is newer than the one in the SRPM, and there are some differences:

$ diff -u nvi.spec ~/rpmbuild/SPECS/
--- nvi.spec	2010-06-22 14:29:33.000000000 +0200
+++ /home/michel/rpmbuild/SPECS/nvi.spec	2010-06-22 14:11:45.000000000 +0200
@@ -88,14 +88,14 @@
   vi_cv_revoke=no \
   ../dist/configure \
 	--disable-curses \
-	--prefix=%{_prefix} \
+	--prefix=/usr \
 	--disable-shared --enable-static \
 	--enable-widechar \
 	--disable-threads \
 	--without-x \
 	--with-gnu-ld=yes \
-	--datadir='%{_datadir}' \
-	--mandir='%{_mandir}' \
+	--datadir='$${prefix}/share' \
+	--mandir='$${prefix}/share/man' \
 	--program-prefix=n
 )
 sed -i -e '/define.*_PATH_MSGCAT/ s/".*"/"\/usr\/share\/vi\/catalog\/"/' \
Comment 2 Michel Alexandre Salim 2010-06-23 15:36:52 EDT
Using the stand-alone spec, as it uses better filesystem macros

#+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)

* TODO Review [70%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
88d1e23115ee9f2961186b62e55f5704  nvi-1.81.6.tar.bz2
88d1e23115ee9f2961186b62e55f5704  /home/michel/rpmbuild/SOURCES/nvi-1.81.6.tar.bz2
** DONE License [3/3]
*** DONE License is Fedora-approved
*** DONE License field accurate
*** DONE License included iff packaged by upstream
** TODO rpmlint [0/2]
*** FAIL on src.rpm
    - State "FAIL"       from ""           [2010-06-23 Wed 21:04] \\
      nvi.src:81: W: macro-in-comment %patch27
      (when commenting out, I normally just replace % with # to avoid this)
      nvi.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 4)
      (if using Emacs, C-x h M-x untabify would fix this)
      nvi.src: W: patch-not-applied Patch27: nvi-28-regex_widechar.patch
*** FAIL on x86_64.rpm
    - State "FAIL"       from "TODO"       [2010-06-23 Wed 21:30] \\
      nvi.x86_64: E: non-standard-executable-perm /usr/share/nvi/recover 0555L
** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2268677
*** DONE BRs complete
*** DONE Directory ownership
** TODO Spec inspection [8/9]
*** DONE No duplicate files
*** FAIL File permissions
    - State "FAIL"       from "TODO"       [2010-06-23 Wed 21:32] \\
      See rpmlint result
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** N/A If large docs, separate -doc
**** DONE %doc files are non-essential
Comment 3 Matěj Cepl 2010-06-24 04:54:14 EDT
(In reply to comment #2)
> Using the stand-alone spec, as it uses better filesystem macros

yes, sorry for not upgrading src.rpm

> #+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)

Do you have some app for doing this?

> ** TODO rpmlint [0/2]
> *** FAIL on src.rpm
>     - State "FAIL"       from ""           [2010-06-23 Wed 21:04] \\
>       nvi.src:81: W: macro-in-comment %patch27
>       (when commenting out, I normally just replace % with # to avoid this)
>       nvi.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 4)
>       (if using Emacs, C-x h M-x untabify would fix this)
>       nvi.src: W: patch-not-applied Patch27: nvi-28-regex_widechar.patch

Fixed

> *** FAIL on x86_64.rpm
>     - State "FAIL"       from "TODO"       [2010-06-23 Wed 21:30] \\
>       nvi.x86_64: E: non-standard-executable-perm /usr/share/nvi/recover 0555L

Fixed

> ** TODO Spec inspection [8/9]
> *** DONE No duplicate files
> *** FAIL File permissions
>     - State "FAIL"       from "TODO"       [2010-06-23 Wed 21:32] \\
>       See rpmlint result

See above, fixed.

SPEC file: http://mcepl.fedorapeople.org/rpms/nvi.spec
src.rpm: http://mcepl.fedorapeople.org/rpms/nvi-1.81.6-2.el6.src.rpm
Comment 4 Michel Alexandre Salim 2010-06-24 06:30:53 EDT
APPROVED -- the remaining items are all cosmetic in nature.

(In reply to comment #3)
> (In reply to comment #2)
> > Using the stand-alone spec, as it uses better filesystem macros
> 
> yes, sorry for not upgrading src.rpm
> 
> > #+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)
> 
> Do you have some app for doing this?

Org-Mode for Emacs: http://orgmode.org/

> 
> > ** TODO rpmlint [0/2]
> > *** FAIL on src.rpm
> >     - State "FAIL"       from ""           [2010-06-23 Wed 21:04] \\
> >       nvi.src:81: W: macro-in-comment %patch27
This is fixed.

> >       (when commenting out, I normally just replace % with # to avoid this)
> >       nvi.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 4)
Still there, but not really a bug (it's the Summary line)


> >       nvi.src: W: patch-not-applied Patch27: nvi-28-regex_widechar.patch
Still there too, but I take it this patch might be needed later.
Comment 5 Matěj Cepl 2010-06-24 09:12:55 EDT
(In reply to comment #4)
> > >       nvi.src: W: patch-not-applied Patch27: nvi-28-regex_widechar.patch
> Still there too, but I take it this patch might be needed later.    

I expect that during the further life of this package somebody will take a serious look at these patches. Most of them should be probably thrown away.

Thank you!
Comment 6 Matěj Cepl 2010-06-24 09:14:20 EDT
New Package CVS Request
=======================
Package Name: nvi
Short Description: 4.4BSD re-implementation of vi
Owners: mcepl
Branches: F-13 EL-6
InitialCC:
Comment 7 Jason Tibbitts 2010-06-26 04:04:31 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-06-26 06:26:36 EDT
nvi-1.81.6-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nvi-1.81.6-2.fc13
Comment 9 Fedora Update System 2010-06-28 13:19:32 EDT
nvi-1.81.6-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nvi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nvi-1.81.6-2.fc13
Comment 10 Fedora Update System 2010-07-13 03:53:21 EDT
nvi-1.81.6-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.